/*
 * (c) Copyright 2001-2003
 * Peter Blum, Peter.Blum@readme1st.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Version: 2.1.0.0 - Aug 25 2003 11:11:11
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <time.h>

#include "s68.h"


unsigned long  instCounter;     /* Number of executed instructions */
static time_t  startTime;       /* Start time of simulation */
static time_t  stopTime;        /* Stop time used to calculate time per instruction */



/*
 * t S t a r t
 *
 * Record start time and set instruction counter to zero
 */
void tStart(void)
{
    time(&startTime);
    instCounter = 0;
}



/*
 * t S t o p
 *
 * Record stop time
 */
void tStop(void)
{
	time(&stopTime);
}



/*
 * t R e p o r t
 *
 * Report statistics
 */
void tReport(void)
{
    double  delta;

    delta = difftime(stopTime, startTime);

    uiPrintf("  instructions :  %ld\n", instCounter);
    uiPrintf("  overall time :  %1.3f sec\n", delta);
    if (instCounter > 0)
      uiPrintf(" time per inst :  %1.6f usec\n", (delta / (double)instCounter) * 1000000.0);
}
