/*
 * (c) Copyright 2001-2003
 * Peter Blum, Peter.Blum@readme1st.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Version: 2.1.0.0 - Aug 25 2003 11:11:11
 */

#ifndef _UI_H
#define _UI_H

#ifdef WIN32

void uiPutchar(unsigned char c);
int  uiGetchar(void);

#ifdef _CONSOLE

#define  uiPrintf         printf
#define  uiErrPrintf      printf
#define  TrcPrintf(arg)   if (trace)  printf arg

#else

void uiPrintf(char *fmt, ...);
void uiErrPrintf(char *fmt, ...);
#define TrcPrintf(arg)    if (trace)  uiPrintf arg

#endif


#else

#define  uiGetchar        getchar
#define  uiPutchar        putchar
#define  uiPrintf         printf
#define  uiErrPrintf      printf
#define  TrcPrintf(arg)   if (trace)  printf arg

#endif

extern int  uiStart(void);     /* Start user interface */

#endif

